import json
import requests
from api_auth import APICredentials, APIParams

class GetLatestStatsSingleLiveStream:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        """
        Get the latest statistics for a single live stream.
        """
        self._get_latest_stats_single_live_stream()

    def _get_latest_stats_single_live_stream(self):
        url = "{}{}".format(self.host, "/api/v4/monitoring/stream_stats/114n9q6a847ieldd8bb8dbf67afef96b")

        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({})
        )

        print(response.json())

GetLatestStatsSingleLiveStream().run()